Bug 6560 - SUBMISSION_COMMENT email may contain HTML in comments
SUBMISSION_COMMENT email may contain HTML in comments
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Editors
2.3.5
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-30 13:41 PDT by Alec Smecher
Modified: 2014-10-07 12:38 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS pre-2.3.5 (1.12 KB, patch)
2011-04-04 09:08 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2011-03-30 13:41:35 PDT
SUBMISSION_COMMENT email may contain HTML in comments. Wrap String::html2text around the comments that go into the email.
Comment 1 Alec Smecher 2011-04-04 09:08:14 PDT
Created attachment 3478 [details]
Patch against OJS pre-2.3.5

Also committed to OCS stable (same patch; needs also https://github.com/pkp/pkp-lib/commit/9cfc786bf3a55eb472645244d1cecc22b3fc8502)
Comment 2 Alec Smecher 2014-10-07 12:38:28 PDT
Fixed submission comments HTML in email
https://github.com/pkp/pkp-lib/commit/9cfc786bf3a55eb472645244d1cecc22b3fc8502